Welcome to SoundTrek Drummer
Top Next

General Overview

SoundTrek Drummer is a MIDI MFX plugin for Cakewalk software or any other program that hosts MFX plugins. This plugin allows you to quickly and easily create dynamic and original drum beats using the included style library. Add musician clips to the timeline to create and arrange the beats for your song. Add grooves to the existing clips to expand and alter the types of results you will get when you compose a new take. This results in an easy yet powerful way to create an endless supply of new and original drum beats.

Getting Started

The easiest way to get started is to follow the short tutorials which will have you composing and modifying new beats in no time.

The two main components of the interface are the Timeline and the Tabs.

Note that some hosts by default use a fairly large window for getting events, which means changes you make in the SoundTrek Drummer interface take longer to be heard while playing. For possibly (much!) better response from your host, look in the Sonar Performance Tips section.

Using Html Help

The help tabs are shown to the left of the help content. If you do not see these tabs, click the Show button on the tool bar above to unhide them.

Use the Contents tab to display the list of all topics.

Use the Index tab to search the available topic keywords.

Use the Search tab to search for text in the entire help file.

Use the Favorites tab to book mark topics that you frequently access.


Sonar Performance Tips
Previous Top Next

By default Sonar uses a fairly large buffer size for MFX plug-ins that process MIDI events. This results in a noticeable delay between actions in the user interface and hearing the resulting changes. Fortunately there is a way to make Sonar much more responsive. Add these lines to Sonar's TTSSEQ.ini file (normally in the main Sonar installation folder):

[OPTIONS]
MfxLookAhead=480

This new TTSSEQ.INI variable defines how much extra MIDI data is sent to MFX plug-ins, so that they have extra room to quantize events into the future. Lower values mean MFX plug-ins can work more "just in time". The setting above is a 1/8th note buffer size. You can also try 1/16th by using a value of 240. A value of 960 specifies a quarter note. Start with 1/8th or 1/16th and see how it works on your system. Sonar defaults to a value of 1 measure, or 3840 (960 * 4), which means that you would have to wait 1 bar before hearing any changes.

Make sure there is only one [OPTIONS] section and make sure to make these changes while Sonar is not running. Any text editor such as Notepad can be used to edit this file.

Also you may increase responsiveness by lowering the Sonar option Prepare Using [n] Millisecond Buffers (accessed via Options / Global / MIDI ).

* tested with Sonar Producer 4. Newer versions may or may not behave differently. See the Sonar readme file for more information. Note that this does limit the amount of time notes can be quantized into the future with MFX quantizing plug-ins.


Timeline

The timeline is where you arrange your clips into the order that you want. Clips can be added one after the other on any number of individual tracks that you like. On the left, the Tracks Info area gives you access to the various track based parameters. The Clips Area on the right is where you place and edit your clips. The following components are used in the Timeline.

· Tool Bar

· Tracks Info

· Clips Area

· Horizontal Splitter Bar


Tool Bar

Options

Opens the Options dialog where you can change preferences for all instances of the plugin.

Snap

This item allows you to select the resolution to snap to when dragging clips in the timeline. For example you may want to snap only to measure boundaries, or to half notes, quarter notes etc... The default snap value can be set in Options.

Post-Edit Slide

This item determines what happens to affected clips after a drag operation in the timeline. You can choose to always slide affected clips, never slide affected clips (replacing what is already there), or to be asked. Note that if you select one of the first two options you can get the opposite effect by holding down the Alt key when you drop a clip.

Add New Track

Adds a new blank track to the timeline.

Undo

Allows you to undo previous actions. If you click on the arrow button the previous action will be undone. If you click on the down arrow a list of previous actions are shown to choose from.

Redo

Allows you to redo previously undone actions. If you click on the arrow button the action will be redone. If you click on the down arrow a list of previous actions are shown to choose from.

Delete

This item deletes selected clips.

Auto Zoom

This items zooms the timeline to fit all clips horizontally, all tracks vertically or a combination of both. In addition you can reset to the default zoom.

Zoom Timeline

These items zoom the timeline in and out horizontally, allowing you to see more or less number of measures.

Zoom Tracks

These items zoom the tracks in and out vertically, allowing you to see more or less number of tracks.

Random Takes
These items allow you to control whether clips play only their active take or a random take.

Play Random Takes

Clicking this button with no clips selected makes all clips play using a random take, otherwise only the selected clips are changed.

Each time a clip starts playing, a random take will be chosen instead of always playing the active take. You can see the events displayed on the clip change as the random takes are chosen. After stopping, the last chosen take for each randomly played clip is kept as the active take so once you hear the take you want to keep, just select the clip and click the 'Play Active Take' button.

Note that clips set to play random takes will display a question mark in the lower right corner of the clip, space permitting. Also, be aware that when in random takes mode, you might not immediately hear a newly composed take as the take you hear will be randomly chosen just before it is played.

Play Active Take

Clicking this button with no clips selected makes all clips always play the active take, otherwise only the selected clips will be forced to play only the active take.

Presets

These items allow you to save and load presets to your hard disk so that you can use them later. This is in addition to any preset capability provided by your host program.

Help

This item opens the help file.

About

This item displays technical information about this program.


Tracks Info

The Tracks Info area allows you access to the various track based parameters. Right click on a track to access the menu of track operations.

· Track Info Items

· Right Click Menu Track Operations


Track Info Items

This area displays information about each track.

Tip: Clicking on a track with the Ctrl key held down toggles the selection status for all clips on the track.

Track Number
This items displays the number of the track. If you left click on the track number the Right Click Menu will be displayed.

Mute
Click this to mute all of the track's output. Click again to bring it back.

Solo
Click this to solo the track. When set to solo it will be heard along with any other tracks set to solo.

Compose Lock
Click this to disable composing of new takes for all of the clips on this track. When composing is locked, the only way new parts can be composed on this track is when new clips are added to the track.

Velocity Offset
Click this item to set the velocity offset for all notes on this track. This value will be added to the velocity for each note played. Use positive numbers to make the notes louder, use negative numbers to make the notes softer.

Tip: Hold down the Ctrl key while left clicking to increase the velocity offset 1 by. Click the right mouse button to decrease by 1. Hold down Ctrl and Shift while left and right clicking to increase and decrease the velocity offset value in increments of 5.

Track Name
This is where the optional track name is displayed. Click anywhere in this area to change a track's name.

Mouse Wheel
Rolling the mouse wheel while over the Tracks Info area scrolls up and down. Hold down the Ctrl key while rolling to zoom all tracks in and out.


Track Operations

Right click within a track to access the track operations. Right click outside of a track to add a new track.

· Name
· Force Output Note
· Transpose
· Velocity
· Channel

· Insert New Track Before
· Insert New Track After

· Select All Clips
· Un-Select All Clips

· Clone Track

· Delete Track
· Delete Track's Clips
· Delete All Empty Tracks

· Clear Mute / Solo
· Mute
· Solo

· Allow Composing
· Disable Composing
· Erase All Composed Takes

· Set Width


Name

This item allows you to change the track name.


Force Output Note

This item allows you to set a specific MIDI note number that will be used for all notes on this track. This overrides each clip's setting and is a quick way to make a track play a single drum piece such as the ride cymbal.


Transpose

This item allows you to specify the number of half steps each MIDI note should be transposed up or down. This differs from Force Output Note in that each note is adjusted up or down by the same amount instead of setting every note to the same value.


Velocity

This item allows you to set the velocity offset for all notes on this track. This value will be added to the velocity for each note played. Use positive numbers to make the notes louder, use negative numbers to make the notes softer.


Channel

This item allows you to set the MIDI channel for all MIDI events on the track. By default the value from Options is used but this allows you to specify different channels for different tracks.


Insert New Track Before

This item inserts a new track just before the track that was clicked.


Insert New Track After

This item inserts a new track just after the track that was clicked.


Select All Clips

This item selects all clips on the track. Any selections on other tracks are left alone.


Un-Select All Clips

This item un-selects all clips on the track. Any selections on other tracks are left alone.


Clone Track

This item makes an exact copy of the clicked track and adds it to the end of the list of tracks.


Delete Track

This items removes the clicked track.


Delete Track's Clips

This item removes all clips on the clicked track.


Delete All Empty Tracks

This item removes any tracks that do not contain at least one clip.


Clear Mute / Solo

This item allows you to modify the Mute and Solo settings for tracks and clips.

Clear All Track Mute
This item clears Mute for all tracks.

Clear All Track Solo
This item clears Solo for all tracks.

Clear All Track Mute & Solo
This item clears both Mute and Solo for all tracks.

Clear All Clip Mute
This item clears Mute for all clips on the clicked track.

Clear All Clip Mute, All Tracks
This item clears Mute for all clips on all tracks.


Mute

This item toggles Mute for the clicked track.


Solo

This item toggles Solo for the clicked track.


Allow Composing

When this item is checked, composing new takes is allowed for clips on the clicked track.


Disable Composing

When this item is checked, composing new takes is not allowed for any clips on the clicked track.


Erase All Composed Takes

This item deletes all takes for each clip on the clicked track.


Set Width

This item allows you to set the width of the Tracks Info area.


Clips Area

The Clips Area is the main work place for creating your arrangement. Each clip holds one musician designed to compose a certain style of music. Each of these musicians contains one or more grooves which are the musical building blocks for the style. When musicians and grooves are mixed together, the results are creative and dynamic beats instead of repetitive canned parts. The more grooves you have, the more variation you will hear in the composed takes. For more information see the following topics.

· Clips

· Right Click Menu

· Selecting Clips

· Moving and Copying Clips

· Sizing Clips

· Mouse and Mouse Wheel Usage


Clips

Each clip holds a single musician. You can move a clip around on the timeline or drag the edges to size and place the clip. This is a non destructive operation, meaning that the clip's composed parts will not be erased. If you hold down the Ctrl key while moving a clip you will make a copy of the clip. You can edit a clip's properties once it's selected by using the right click menu and the various tabs, most notably Grooves, Takes and Adjust.

Compose Box

The Compose Box is displayed in the upper right corner of a clip provided that there is room. Clicking in this area allows you to compose a new take for the clip or selected clips if more than one clip is selected. If the Compose Box is green the clip can be composed, otherwise the clip is locked and cannot be manually composed.

Depending on the amount of material being composed you may notice the clip temporarily change color to show that a new take is being composed. Once the new take is ready it will be automatically be made the active take (unless Random Take mode is on for the clip).

Random Takes
If random takes are enabled for a clip, a question mark is displayed in the lower right corner for the clip. During playback, whenever a clip is first played a random take will be chosen and made the active take.

Clip Mute
You can quickly mute and un-mute a clip by right clicking on it while holding down the Ctrl key.


Right Click Menu

Right click on a clip to access the clip operations. Many operations require a clip to be selected first. Most of the operations can also be performed on more than one clip, i.e. you could select a group of clips then change all their colors at once instead of having to do them one by one.

· Name
· Color
· Velocity
· Transpose

· Force Output Note
· Mute

· Allow Composing
· Disable Composing

· Make Clips End Here
· Align to Right Edge

· Compose New Take
· Erase All Composed Takes

· Split Selected Clips
· Delete Selected Clips
· Delete Following Clips
· Delete Earlier Clips

· Insert New Track After
· Insert New Track Before

· Clone Track
· Delete Track

· Make Clip Independent


Name

This item allows you to change the name of the selected clips.


Color

This item allows you to change the color of the selected clips.


Velocity

This item allows you to change the velocity offset of the selected clips. Use a positive number to make parts louder. Use a negative number to make parts softer.


Transpose

This item allows you to change the transpose value of the selected clips. This value will be added to each MIDI note's pitch for each clip. Positive numbers transpose up and negative numbers transpose down.


Force Output Note

This item allows you to force a single note to be output from all selected clips. You could use this to force each note to play a high hat for example.


Mute

This item allows you to mute all output of the selected clips. You can also do this by clicking a clip with the right mouse button while holding the Ctrl key. Once a clip is muted, you will see the clip's display update to reflect the change.


Allow Composing

If this item is checked new takes can be composed for this clip.


Disable Composing

If this item is checked, new takes cannot be composed for this clip.


Make Clips End Here

This item allows you to set the ending point for a group of clips. This is useful when you wish to adjust the length of the clips in one operation, such as when adding a drum fill. Note that you must have no more than one clip selected on any particular track for this item to be available.

Here is an example. We start with 3 tracks enduring for 8 measures and a drum fill added on the last measure.

We want to size the first three tracks so that they do not play while the drum fill is playing. The first step is to select the three tracks.

Next, right click at measure 8 and select 'Make Clips End Here'.

Now you have changed the endpoint for the first three drum tracks.


Align to Right Edge

If this item is checked the clip's events will be aligned such that they always end at the right edge of the clip. If the clip has not been resized since the active take was last composed, this will have no effect, but once the clip is resized there will be more or less room for events. This item determines if the clips play from the start or from the end, which is typical with drum fills.


Compose New Take

This item composes a new take for the clicked clip.


Erase All Composed Takes

This item erases all takes on all selected clips.


Split Selected Clips

This item splits the selected clips at the point you specify. By default this is the point where you right clicked to open the menu. The clips are split such that the music you hear sounds the same as before, but now you have two pieces that you can move around and adjust.

Note that the extra events from each clip are deleted. If you wish to retain all of the original events so you can continue to make adjustments, instead of splitting, you can make a copy of the clip and adjust the edges as necessary.


Delete Selected Clips

This item deletes all selected clips.


Delete Following Clips

This item deletes all clips that come after the clip you clicked on.


Delete Earlier Clips

This item deletes all clips that come before the clip you clicked on.


Insert New Track After

This item inserts a new track just after the track you clicked.


Insert New Track Before

This item inserts a new track just before the track you clicked.


Delete Track

This item deletes the clicked track.


Make Clip Independent

When you make a copy of a clip, such as while dragging selected clips with the Ctrl key pressed, both the original clip and its copy use the same musician. This means that if you change a style parameter such as the groove weights, for example, it affects both clips equally since they use the same musician.

In the above example, both clips are sharing the same musician. The dotted outline around the clips means it is sharing a musician with at least one other clip. If you look at the style parameters for each clip you'll notice that changing the parameters for one clip also change the parameters for the second. When a new take is composed for either clip, the same musician will be used.

If you want each clip to be separately adjustable, right click and select 'Make Clip Independent' and separate musicians will be created. The display will be updated to reflect the change.


Selecting Clips

Selecting Clips
For many operations one or more clips must be selected. To select a single clip, left click on it. To select more than one clip, click on it while holding down the Ctrl key. Left clicking on a selected clip while holding down the Ctrl key makes it unselected. Left clicking on an area that is not in a clip removes the current selection, making it so that no clips are selected.

Marquee Selection
Another way to select clips is to click on an area outside of a clip and drag the mouse while holding down the mouse button to draw a selection rectangle. Any clips that touch this rectangle will be selected. If the Ctrl key is held down, the current selection is added to, otherwise any existing selection is replaced with the new selection.

If you hold down the Shift key while marquee selecting you can draw the selection rectangle starting at any point, even if it is inside a clip. If you hold the Alt key down, you can marquee select clips to unselect.


Moving and Copying Clips

You may move and copy clips around on the timeline by clicking and dragging. To move a single clip, click in the middle of the clip and drag it where you want it, even to a different track. If more than one clip is selected, all selected clips are moved by the same amount. You can only move multiple clips to a different track if the selected clips are all on a single track.

To copy a clip instead of moving it, hold down the Ctrl key while dragging.

By default, if there are clips following your source clips, you will be asked if you want to slide the affected clips or allow them to be overwritten. If you have chosen to always do one or the other, you can always get the opposite result by holding down the Alt key when you release the mouse button.


Sizing Clips

A clip may be resized (shortened or lengthened) by dragging its left or right edge. When moving the mouse over the edges of a clip the mouse cursor will change to help show you where to click and drag.

Note that a new take is not automatically composed when a clip is resized (although you may compose new takes as much as you like). Therefore, if you lengthen the clip there will be some 'dead space' at the end. The display of the clip is updated to reflect this change.

Before sizing:

After sizing:

If the clip is right aligned it will look like this:

You may only size one clip at a time. If you would like to change the size of multiple clips at once, see Make Clips End Here from the clip right click menu.


Mouse Usage

Navigating the timeline is most easily done using the mouse wheel. If the mouse cursor is over the Timeline the mouse wheel will scroll the timeline left and right. If the mouse cursor is over the Tracks Info area the mouse wheel will scroll the tracks up and down. If you hold the Ctrl key down while using the mouse wheel, the area your mouse is over will be zoomed in and out.

Also, in the timeline, holding down the Shift key while using the mouse wheel will scroll the tracks up and down. Holding down Ctrl and Shift will size the tracks bigger and smaller.

If the mouse wheel does not scroll the view, try clicking somewhere in the timeline first.

Tip: Double click on a groove to quickly jump to the Grooves tab for that clip.


Horizontal Splitter Bar

Click and drag the horizontal splitter bar between the timeline and the tabs to adjust the relative size between the two.


Tabs

The following tabs are available. Note that some tabs require a clip to be selected before you can gain access.

· Welcome

· Library

· Grooves

· Takes

· Adjust

· Drum Fills


Welcome

This tab displays basic program information and assistance.


Library Tab

The library tab is where you load new material onto the timeline, whether it's a new musician or a group of grooves.

Each clip on the timeline represents a single musician. Each of these musicians may contain any number of grooves. The more grooves there are the more dynamic and unique the results will be when composing new parts. For more information, see:

· Musicians

· Grooves

Tip: Right click on the tree control to change its width.


Grooves

This section of the library contains grooves that can be added to existing musicians. Each musician is made up of one or more grooves. The more grooves a musician has, the more varied the composed parts will be. So, to make a musician more dynamic you can add some new grooves by selecting the grooves you want then dropping them on top of an existing clip. You will have the option of adding to the musician's existing grooves or totally replacing the existing grooves with the new ones.

If you drop the grooves on a blank area of the timeline, not on a clip, a new musician will be created with the selected grooves. This allows you to quickly create new musicians using just the grooves you want.

Fundamental Grooves

Fundamental grooves are the most dynamic type of grooves, made up of general rhythmic building blocks. Fundamental grooves are named like this "-- Kick Double" or "-- Snare Straight". When loading these grooves you have the option of selecting the feel (straight, swing or swing 6/8). For other types of grooves the feel is built into the groove and cannot be changed. The fundamental grooves are what make up the Basics musicians.

Tip: You can select more than one groove at a time. After clicking the first groove, hold down the Shift key when you click on the second and all grooves in between will be selected. Also, hold down the Ctrl key while clicking to select and unselect individual grooves. Once you have your grooves selected you can drag them to the timeline or click the Add Grooves button.


Musicians

This section of the library contains ready to load musicians in various categories. To add a musician just drag it to the Timeline. When the musician is added to the Timeline a new clip is created and new music is automatically composed so it is ready to play. Many of the musicians are dynamic, meaning that each time it is composed you will hear different results. You can compose a clip as many times as you like until you get something you like. Or you may want to compose a few takes then listen to them using the Takes tab to help you decide what you like best.

A single musician may contain many underlying grooves. Each groove does something different and when multiple grooves are mixed together the results can be very dynamic and original parts. To modify a musician's grooves, double click a clip to go to the Grooves tab to mix the grooves and compose new parts.

Categories

· Basics - The quickest way to create new dynamic and original beats. The basic components of a drum set are represented here, kick, snare, hi-hat, drum fills etc... Load the drum pieces you want then use the Grooves tab to construct your beat.

· Beats - A collection of ready made beats in various genres.

· Beats, Multitrack - A collection of beats that are more dynamic than in Beats above. These beats use multiple tracks so you can easily modify the characteristics of each drum piece.

· Drum Fills - Various ready to use drum fills. For drum fills, the music is aligned to the right edge of the clip. To place a drum fill, place the right edge of the clip where you want the fill to end then drag the left end of the clip into place.

· Individual Drums - Single drum and percussion pieces, kick, snare, cowbell etc... You can use these to make a new beat or add to an existing beat.

Tip: Right click anywhere in the tree to change the tree width.


Grooves Tab

This is the area where you manage and edit the grooves of a selected clip and is only accessible if a single clip is selected. You can quickly get here at any time by double clicking on the clip you want to edit.

The Grooves Tab contains the following items.

· Groove Weight Controls

· Add New Grooves Button

· Compose Take Button

· Weights Button

· Delete Grooves Button

· Always Play Note

· Min and Max Columns


Groove Weights

Usage Weights

When new parts are composed, the usage weight values for each groove determines how likely it is for any given groove to be used. The higher the usage weight is for one groove relative to the other grooves the more likely it is to be used when composing takes. Note that these values are not percentages, but are equivalent to votes. The higher the usage weight is relative to the others the higher the number of votes. The higher the number of votes a groove has, the more likely that groove is to be used. In other words, a groove weight with a higher value will be more likely to be chosen than one with a lesser value. This allows you to balance (or weight) the individual items against each other when composing takes. If the usage weight is set to zero, the groove will only be used if solo is enabled.

Grooves are the fundamental building blocks used to create the final composed take. The more grooves a musician has, the more dynamic and unique the composed takes will be. By changing the usage weights of the grooves you determine which grooves should be used and the relative balance between them.

Groove Weight Controls

The groove weight controls allow you to set the usage weight for each of the grooves. To set a groove's usage weight, click on the weight value (the area to the left of the groove name) and a pop up fader will open allowing you to set the weight for the groove.

You can use the mute and solo buttons to exclude (mute) or solo grooves for the next composed take. Existing takes are not affected. This allows you to try different combinations of grooves without having to alter their usage weights. You can compose multiple takes then decide what you like best in the Takes tab. Note that solo takes precedence over mute. A muted groove that is also set to solo will be eligible for selection (i.e. it will be set to solo, not mute).

Clicking and dragging on the vertical line between the weight value and groove name allows you to set the width of the weight value and groove name.

After you have your weights set, be sure to click the Compose Take button to hear the results of your changes.

Tip: Right clicking on the weight value will set the weight to zero. Right double clicking will set the weight to 50.


Add New Grooves

Clicking this button takes you to the Library tab, ready to load new grooves.


Compose Take

Clicking this button will generate a new part for the selected clip using the current groove weight fader settings. When you have made a change in this tab the Compose Take button turns green to let you know that you should compose a new take so you can hear the results of your changes. When the button is not green you can still compose new takes as much as you like. In fact, with multiple weighted grooves, this is a great way to generate lots of dynamic content quickly.

Depending on the amount of material being composed you may notice the clip temporarily change color to show that a new take is being composed. Once the new take is ready it will be automatically be made the active take.


Weights

Clicking this button opens a pop up menu with the following items.

Clear All Groove Weights
Sets the usage weight for all grooves to a value of zero. You can also do this by right clicking on a groove.

Set All Groove Weights To 20
Sets the usage weight for all grooves to a value of 20.

Set All Groove Weights To 50
Sets the usage weight for all grooves to a value of 50.

Set All Groove Weights To...
Sets the usage weight for all grooves to a value that you specify.

Double All Groove Weights
Multiplies the usage weight by 2 for all nonzero usage weights (up to a maximum value of 127).

Halve All Groove Weights
Divides the usage weight by 2 for all nonzero usage weights (down to a minimum value of 1).

Solo All Grooves
Sets all grooves to solo.

Un-solo All Grooves
Turns off solo for all grooves.

Mute All Grooves
Mutes all grooves so that none will be used when composing. Solo takes precedence over mute.

Un-mute All Grooves
Turns off mute for all grooves.


Delete Grooves

Clicking this button opens a pop up menu with the following items.

Select Grooves To Delete...
This command allows you to select which grooves to delete. To select multiple items, click and drag to select the items then click in any selected item's check box.

Delete All Muted Grooves...
This command deletes all grooves that are muted.

Delete All Un-weighted Grooves...
This commands deletes all grooves having a weight of zero.

Delete All Grooves
This command deletes all grooves from the musician.


Always Play Note

Select a drum note from the combo box to force this clip to only play a single drum note, regardless of the actual notes that were composed. This is useful if you have loaded a percussion groove but want to change the output to a different note, for example, ride cymbal instead of hi hat. The list of notes is displayed using General MIDI drum note names and MIDI note number.


Min and Max Columns

These combo boxes specify the minimum and maximum number of columns to display when using the groove weight controls.


Takes Tab

The Takes Tab is where you manage composed takes for the selected clip. It is only accessible if a single clip is selected. By default a clip holds up to 10 composed takes, but this setting can be changed in Options if you would like more or less. After the maximum number of takes exist, when a new take is composed, the oldest one is automatically deleted. Once you have a few takes you can make use of the random take feature described below to add even more variety. This is also a great way to find the best combination of takes for all your clips.

Takes
The Takes list displays all of the composed takes for the selected clip. The active take is displayed beginning with '>'. To quickly change the active take to a different take you can double click the take.

Delete Takes
This item allows you to delete takes from the takes list.

Set As Active Take
This item makes the selected take the active take.

Compose New Take
Clicking this button causes a new take to be composed. Depending on the amount of material being composed you may notice the clip temporarily change color to show that a new take is being composed. Once the new take is ready it will be automatically be made the active take.

Rename Take
This items allows you to rename the selected take.

Trim All Takes
If a clip has previously been shortened, events may exist outside of the area of the clip. While these events are not heard while playing, they are still there in case you want to extend the clip. This command trims all excess events outside of the clip area so that if you enlarge the clip, the old events are not heard, instead you get silence.

Play a Random Take Each Time
If this item is checked, during playback, whenever a clip is first played a random take will be chosen and made the active take. Uncheck this item to always play the active take.
To change this setting for multiple clips use the random buttons on the Tool Bar.


Adjust Tab

This area allows you to modify various clip related settings.

· Selected Clip Adjustments

· All Clips Adjustments


Selected Clip Adjustments

Mute
If this item is checked the selected clip will not be heard during playback. The clip's display is changed to reflect this situation. To quickly mute and un-mute a clip you can right click it while holding down the Ctrl key.

Velocity Offset
This item allows you to make adjustments (positive or negative) to the velocity of each played note so that you can make it louder or more quiet.

Transpose
This item allows you to transpose each note played by a specified amount. For example, you could use this to change one drum note to another.

Name
You can change the clip's name here.

Color
Click this button to change the color of the selected clip.

Loaded From
This item displays the musician name that the clip was loaded from, if possible.

Do Not Compose New Parts For This Clip
If this item is checked, composing for the selected clip is disabled.

Align Music To Right Edge Of Clip
If this item is checked the events will be aligned such that they always end at the right edge of the clip. If the clip has not been resized since it was composed, this will have no effect, but once the clip is resized, there will be more or less room. This item determines if the clips play from the start or from the end, which is typical with drum fills.


All Clips Adjustments

These settings apply to all clips.

Default MIDI Channel
This is the MIDI channel to use for all output notes unless the track's MIDI Channel is set to use a specific channel.

Align To Time Signature Changes
If this item is checked, if time signature changes are encountered, the composer re-aligns, or 'starts over' at that point.

Always Re-Align Composer Every n Measures
If this item is checked, the composer is forced to re-align, or 'start over' after a number of measures that you specify.


Drum Fills Tab

This area allows you to adjust the parameters used when composing drum fill clips.

· Wildcards

· Wildcard Notes

· Crash Cymbals

· Compose Take Button


Drum Fill Wildcards

Roll Hang %

Some drum fills use specific drum notes in their patterns while others also use wild card notes that are determined randomly by the composer. For these wildcard notes the items below are percentage values indicating the probability of the composer staying on a drum during a drum fill rather than continuing on with another.

Snare hang %
Once the composer hits the snare drum in a drum fill, this item represents the percentage chance that the snare will continue to be struck instead of moving on to a tom.

Tom hang %
Once the composer hits a tom in a drum fill, this item represents the percentage chance of the tom continuing to be struck instead of moving on to another drum.

Random roll hang %
For random rolls, specifies the percentage chance that whatever drum note is hit will be hit again instead of choosing a new drum note.

Roll Types

These items are weighted against each other to determine the type of drum fill rolls to compose for drum fill wildcard notes.

Circular rolls weight
When composing drum rolls, this item causes the composer to move around the drum kit in a circular fashion starting with the snare and moving downward through the toms.

Interlaced rolls weight
When composing drum rolls, this item causes the composer to move around the drum kit in a circular fashion starting with the snare and moving downward through the toms while working the snare drum in between the tom parts.

Random rolls weight
When composing drum rolls, this item causes the composer to use random snare and tom rolls to compose drum fills.


Drum Fill Wildcard Notes

These values allow you to specify which drum notes are used when composing wildcards. If set to 'Use default drum notes' the default General MIDI note mapping will be used. Otherwise, this specifies the MIDI note number to use for the given drum piece when wildcards are composed.


Drum Fill Crash Cymbals

These items determine how crash cymbals are used in drum fills.

Crashes

Add starting crash %
Specifies the percentage chance that a crash cymbal will be added to the beginning of a drum fill.

Keep existing crashes %
Specifies the percentage chance that existing crash cymbals in drum fill grooves will be kept (otherwise they are removed).

Add ending crash %
Specifies the percentage chance that a crash cymbal will be added to the end of a drum fill.

Added crash velocity
Specifies the note velocity to use when adding crash cymbals.

Cymbal Usage Weights

Crash 1, Crash 2, Splash, China
These values are weighted against each other to determine the combination of crash cymbals to use when adding crash cymbals.


Compose Take

Clicking this button will generate a new part for the selected clip using the current drum fill settings. When you have made a change in this tab the Compose Take button turns green to let you know that you should compose a new take so you can hear the results of your changes. When the button is not green you can still compose new takes as much as you like.

Depending on the amount of material being composed you may notice the clip temporarily change color to show that a new take is being composed. Once the new take is ready it will be automatically be made the active take.


Options

· Options For New Windows

· Host Related Options

· Undo

· Clips


Options For New Windows

These items are the values to be used when new plugin windows are created. These will not affect any plugin windows that are already open.

Place timeline on top of tabs
This item determines what should be on top, the Timeline or the Tabs.

Default Size
This item determines the size of newly created plugin windows. Depending on which host program you are using, this plugin supports dynamic resizing of its view. Otherwise, another way to resize the plugin window is to change this value, close the plugin window then open it again.

Timeline height %
When new plugin windows are created, this item determines the relative height of the Timeline and the Tabs. A value of 50% means an equal height for both. A value of 60 would result in the Timeline taking up 60% of the vertical area and the Tabs taking up 40%.

Maximum takes per clip
This item determines the number of takes each clip can hold. After this number of takes exist, when a new take is composed, the oldest one is deleted.

Default snap
This specifies the snap value you want to use by default for new plugin instances.


Host Related

These items are related to your host application and may or may not apply. For example, if your host does not process live MIDI input, the second item below will become irrelevant.

Play existing track events
If this item is checked, any MIDI events sent from the host application, typically a MIDI track, will be passed along and output along with whatever parts the plugin may add. If unchecked, the events from the host will be discarded.

Echo incoming MIDI events
If this item is checked and live MIDI events are received from the host, the MIDI events will be sent as output back to the host. If unchecked, the events will be discarded.


Undo

Disable undo / redo
If checked the undo feature will be disabled.

Maximum memory for undo
This item specifies the maximum number of megabytes of memory you would like to use for Undo operations per plugin instance.


Clips

Display clip events
If this item is checked, an approximation of the clip's current take is drawn directly on the clip, provided there is enough space.

Display clip name
If this item is checked, the clip's name is displayed on the clip.


License Agreement

Grant of License

This software is not sold to users, but is licensed to users on a per user basis. SoundTrek hereby grants to you, a limited license to use this JAMMER software according to the terms and conditions described below.

Terms of License

This license is effective as of the time you receive JAMMER, and shall continue in effect until you cease all use of this software and return or destroy all copies thereof. If you violate any of the terms of this license, this license is automatically terminated.

Your Agreement

You agree that, at any one time, you will install JAMMER on a single computer system, where it can be used by a single individual. You are not licensed to install JAMMER on more than one system, nor on a networked or multi-user system of any kind.

Credits

No royalty payments are required for compositions created with JAMMER, however we ask that you give written credit to JAMMER for cool parts created by JAMMER in published works.

Backup Copies

You may make one backup copy of JAMMER software for archival purposes only. You may not provide this copy to other persons or companies. This backup copy remains the property of SoundTrek, subject to this license agreement. You may not copy the documentation.

Transferal

You may transfer this license to another person, as long as (1) all copies of the software and documentation are transferred to that person at the same time; (2) you do not retain any copies of the software or documentation; (3) that person agrees to the terms of this license agreement. You may not copy, transfer, distribute, or otherwise provide this software to other persons. You agree that this software remains the property of SoundTrek, and is protected by the laws of copyright and trade secrets.

Unauthorized Use

You may not use, copy, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the software except as provided in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license.

Limited Warranty

SoundTrek warrants the software media to be free from defects in workmanship for a period of thirty days from receipt. During this time, SoundTrek will replace any defective media, provided you return the media to SoundTrek at your expense. This is the limitation of SoundTrek's liability under this warranty.

Disclaimer of Liability

SoundTrek disclaims any liability for incidental or consequential damages, arising out of the use or inability to use the software, or arising from the negligence of SoundTrek or its employees, consultants, dealers or associates, even if these parties have been advised of the possibility of such damages. By using the software, you indemnify and agree to hold SoundTrek harmless from such claims. You assume the entire risk as to the results and performance of the software. The warranties expressed above constitute the sole warranties made by SoundTrek and are in lieu of all other warranties, express or implied, including (but not limited to) implied warranties of merchantability for a particular purpose.

(copyright © 1990-2007 SoundTrek, All Rights Reserved)


Contact SoundTrek
Previous Top

SoundTrek
5453 Royal Jasmine Way
Sugar Hill, GA 30518-7942
USA

Voice
770-831-8515

Fax
770-614-6215

Web Site
www.soundtrek.com
(hold down the shift key when you click to open the SoundTrek web site in a new browser window)

email
sales@soundtrek.com
support@soundtrek.com
wishlist@soundtrek.com
JAMMER is a trademark of SoundTrek
Copyright © 1990-2007 SoundTrek, All Rights Reserved
Made in the USA


Getting Started
Top

Create a Beat

Here's how to quickly create a basic beat.

Start with a new plugin instance and click the Library tab. Select Basics in the Musicians section. Select Kick Drums in the list and drag it to measure 1. Accept the default parameters to create a new clip on a new track starting at measure 1 and lasting for 8 measures.

Next, drag the Snare Drums musician and drop it at measure 1 right under the Kick Drums clip. Do the same for Hi Hats. You should now have 3 clips, one on each track. Use the Zoom To Fit button on the tool bar if you cannot see all the clips or tracks.

If you press play in the host you should hear a simple drum beat. Double click the kick drums clip then modify the groove weights and compose some new parts. Do the same with the snare and hi hat clips to create a new dynamic beat.

Video Tutorials

The above tutorial is also available in video form as well as two additional video tutorials. Check your Start Menu -> Programs -> SoundTrek -> SoundTrek Drummer. If the video tutorials are not shown there you can download them at the SoundTrek Drummer website:

http://drummer.soundtrek.com

· Tutorial 1 - Create a Beat

· Tutorial 2 - Editing Beats Part 1

· Tutorial 3 - Editing Beats Part 2